package com.persagy.dmp.rwd.define.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.persagy.dmp.define.entity.ObjectInfoDefine;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 信息点 DAO
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface ObjectInfoMapper extends BaseMapper<ObjectInfoDefine> {

    /**
     * 按类型查询
     * @param projectIds 不允许为空
     * @param wrapper 不允许为空
     * @return
     */
    List<ObjectInfoDefine> queryByClassCodes(@Param("projectIds") Iterable<String> projectIds,
                                             @Param(Constants.WRAPPER) Wrapper<ObjectInfoDefine> wrapper);
}
